<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inventory app</title>
    <link href="/dist/output.css" rel="stylesheet">
    <link rel="stylesheet" href="../src/css/main.css"> 
</head>
<link rel="stylesheet" href="./build/tailwind.css">
<body>
    <div class="bg-slate-800 min-h-screen w-screen">
        <!-- app bar -->
        <div class="h-12 items-center justify-center gap-x-4 bg-slate-700 mb-6">
            <h1 class="text-slate-300 text-xl font-bold">Inventory app using tailwing and js</h1>
            <span class="flex items-center justify-center w-7 h-7 rounded-full bg-slat-500 text-slate-300 border border-slate-400 font-bold "> 7 </span>
        </div>
        <!-- app content -->
        <div class="container max-w-sm mx-auto">
            <!-- category form  -->
            <div class="mb-6">
                <h2 class="text-xl font-bold text-slate-300 mb-2">Add new Category</h2>
                <form action="#" class="bg-slate-700 p-4 rounded-xl flex flex-col gap-y-4">
                    <div>
                        <label for="category-title" class="block mb-1 text-slate-400">Title</label>
                        <input type="text" name="category-title" id="category-title" class="bg-transparent rounded-xl border border-slate-500 text-slate-400 ">
                    </div>
                    <div>
                        <label for="category-description">Description</label>
                        <textarea type="text" name="category-description" id="category-description" class="bg-transparent rounded-xl border border-slate-500 text-slate-400 "> </textarea>
                    </div>
                    <div class="flex items-center justify-between gap-x-4">
                        <button class="flex-1 border border-slate-400 text-slate-200 rounded-xl py-2">Cancel</button>
                        <button class="flex-1 bg-slate-500 text-slate-200 rounded-xl py-2">add New Category</button>
                    </div>
                </form>
            </div>
            <!-- product form -->
            <div class="mb-6">
                <h2 class="text-xl font-bold text-slate-300 mb-2">Add new Products</h2>
                <form action="#" class="bg-slate-700 p-4 rounded-xl flex flex-col gap-y-4">
                    <div>
                        <!-- to sellect the same name in different parts press Ctrl + D  -->
                        <label for="product-title" class="block mb-1 text-slate-400">Title</label>
                        <input type="text" name="product-title" id="product-title" class="bg-transparent rounded-xl border border-slate-500 text-slate-400 ">
                    </div>
                    <div>
                        <label for="product-category">Quantity</label>
                        <input type="number" name="product-quantity" id="product-quantity" class="bg-transparent rounded-xl border border-slate-500 text-slate-400 "/>
                    </div>
                    <div>
                        <label for="product-category">Category</label>
                        <select name="product-category" id="product-category" class="bg-transparent text-slate-400 rounded-xl w-full">
                            <option class="bg-slat-500 text-slate-400" value=""> Select a category</option>
                            <option class="bg-slat-500 text-slate-400" value="fruit">Fruits</option>
                            <option class="bg-slat-500 text-slate-400" value="flesh">Meat</option>
                            <option class="bg-slat-500 text-slate-400" value="diry">milk products</option>
                            <option class="bg-slat-500 text-slate-400" value="pasta">masta and macarony</option>
                            <option class="bg-slat-500 text-slate-400" value="vegtabels">vegtabels</option>
                        </select>
                    </div>
                    <div class="flex items-center justify-between gap-x-4">
                        <button class="flex-1 bg-slate-500 text-slate-200 rounded-xl py-2">add New Product</button>
                    </div>
                </form>
            </div>
            <!-- product list -->
            <h2 class="text-xl font-bold text-slate-300 mb-2">Product List</h2>
            <div class="flex items-center justify-between mb-8">
                <span class="text-slate-400 ">Grosseries</span>
                <div class="flex items-center gap-x-4">
                    <span class="text-slate-400">date</span>
                    <span class="block px-3 py-0.5 text-slate-400 border border-slate-400 rounded-2xl text-sm">Apple</span>
                    <span class="flex items-center justify-center w-7 h-7 rounded-full bg-slat-500 text-slate-300 border border-slate-400 font-bold ">10</span>
                    <button class="border px-2 py-0.5 rounded-2xl border-red-500 text-red-500">delete</button>
                </div>
            </div>
        </div>
    </div>
    <script src="/src/js/app.js" type="module"></script>
</body>
</html>